// /**
//  * Copyright (c) 2017 - 2019, Nordic Semiconductor ASA
//  *
//  * All rights reserved.
//  *
//  * Redistribution and use in source and binary forms, with or without modification,
//  * are permitted provided that the following conditions are met:
//  *
//  * 1. Redistributions of source code must retain the above copyright notice, this
//  *    list of conditions and the following disclaimer.
//  *
//  * 2. Redistributions in binary form, except as embedded into a Nordic
//  *    Semiconductor ASA integrated circuit in a product or a software update for
//  *    such product, must reproduce the above copyright notice, this list of
//  *    conditions and the following disclaimer in the documentation and/or other
//  *    materials provided with the distribution.
//  *
//  * 3. Neither the name of Nordic Semiconductor ASA nor the names of its
//  *    contributors may be used to endorse or promote products derived from this
//  *    software without specific prior written permission.
//  *
//  * 4. This software, with or without modification, must only be used with a
//  *    Nordic Semiconductor ASA integrated circuit.
//  *
//  * 5. Any software provided in binary form under this license must not be reverse
//  *    engineered, decompiled, modified and/or disassembled.
//  *
//  * THIS SOFTWARE IS PROVIDED BY NORDIC SEMICONDUCTOR ASA "AS IS" AND ANY EXPRESS
//  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
//  * OF MERCHANTABILITY, NONINFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE ARE
//  * DISCLAIMED. IN NO EVENT SHALL NORDIC SEMICONDUCTOR ASA OR CONTRIBUTORS BE
//  * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
//  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
//  * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
//  * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
//  * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
//  * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//  *
//  */
// #ifndef PCA10059_H
// #define PCA10059_H

// #ifdef __cplusplus
// extern "C" {
// #endif

// #include "nrf_gpio.h"

// // LED definitions for PCA10059
// // Each LED color is considered a separate LED
// #define LEDS_NUMBER    4

// #define LED1_G         NRF_GPIO_PIN_MAP(0,6)
// #define LED2_R         NRF_GPIO_PIN_MAP(0,8)
// #define LED2_G         NRF_GPIO_PIN_MAP(1,9)
// #define LED2_B         NRF_GPIO_PIN_MAP(0,12)

// #define LED_1          LED1_G
// #define LED_2          LED2_R
// #define LED_3          LED2_G
// #define LED_4          LED2_B

// #define LEDS_ACTIVE_STATE 0

// #define LEDS_LIST { LED_1, LED_2, LED_3, LED_4 }

// #define LEDS_INV_MASK  LEDS_MASK

// #define BSP_LED_0      LED_1
// #define BSP_LED_1      LED_2
// #define BSP_LED_2      LED_3
// #define BSP_LED_3      LED_4

// // There is only one button for the application
// // as the second button is used for a RESET.
// #define BUTTONS_NUMBER 1

// #define BUTTON_1       NRF_GPIO_PIN_MAP(1,6)
// #define BUTTON_PULL    NRF_GPIO_PIN_PULLUP

// #define BUTTONS_ACTIVE_STATE 0

// #define BUTTONS_LIST { BUTTON_1 }

// #define BSP_BUTTON_0   BUTTON_1

// #define BSP_SELF_PINRESET_PIN NRF_GPIO_PIN_MAP(0,19)

// #define HWFC           true

// #ifdef __cplusplus
// }
// #endif

// #endif // PCA10059_H


#ifndef __FANSTEL_USB840X__H_
#define __FANSTEL_USB840X__H_

#ifdef __cplusplus
extern "C" {
#endif

#include "nrf_gpio.h"

// LED definitions for USB840X
// Each LED color is considered a separate LED
#define LEDS_NUMBER    2

#define LED_1          NRF_GPIO_PIN_MAP(0, 12)
#define LED_2          NRF_GPIO_PIN_MAP(0, 14)


#define LEDS_ACTIVE_STATE 0

#define LEDS_LIST {LED_1, LED_2}

#define LEDS_INV_MASK  LEDS_MASK

#define BSP_LED_0      LED_1
#define BSP_LED_1      LED_2

// There is only one button for the application
// as the second button is used for a RESET.
#define BUTTONS_NUMBER 1

#define BUTTON_1       NRF_GPIO_PIN_MAP(0,16)
#define BUTTON_PULL    NRF_GPIO_PIN_PULLUP

#define BUTTONS_ACTIVE_STATE 0

#define BUTTONS_LIST { BUTTON_1 }

#define BSP_BUTTON_0   BUTTON_1

#define BSP_SELF_PINRESET_PIN NRF_GPIO_PIN_MAP(0,18)


#define BSP_QSPI_SCK_PIN   16 //19 APP_LNA_PIN 
#define BSP_QSPI_CSN_PIN   15 //17 for APP_PA_PIN
#define BSP_QSPI_IO0_PIN   20 //NC
#define BSP_QSPI_IO1_PIN   21 //NC
#define BSP_QSPI_IO2_PIN   22 //NC
#define BSP_QSPI_IO3_PIN   23 //NC

#if defined(APP_PA_LAN)
#if 1
#define APP_PA_PIN   2 //20 //17
#define APP_LNA_PIN  3 //21 //19
#define APP_CHL_PIN  11
#define APP_CPS_PIN  13 //23 //6
#else
#define APP_PA_PIN   13
#define APP_LNA_PIN  14
#define APP_CHL_PIN  15
#define APP_CPS_PIN  16
#endif 

#endif

#define HWFC           true

#ifdef __cplusplus
}
#endif

#endif // __FANSTEL_USB840X__H_
